CTFMERGE(1)

NAME
ctfmerge - merge several CTF data sections into one

SYNOPSIS
ctfmerge [-fgstv] -L labelenv -l label -o outfile file ...
ctfmerge [-fgstv] [-D uniqlabel] -d uniqfile -L labelenv -l label -o outfile file ...
ctfmerge [-fgstv] -L labelenv -l label -o outfile -w withfile file ...
ctfmerge [-g] -c srcfile destfile

DESCRIPTION
The ctfmerge utility merges several CTF data sections from several files into one output file, unifying common data.

The following options are available:

-c srcfile destfile
    Copy CTF data from srcfile into destfile.

-D uniqlabel
    Uniquify against label uniqlabel.

-d uniqfile
    Uniquify against uniqfile.

-f  Match global symbols to global CTF data.

-g  Don't delete the original debugging sections.

-L labelenv
    Instructs ctfmerge to read the label from the environment variable labelenv.

-l label
    Sets the label as label.

-o outfile
    Use outfile to store the merged CTF data.

-s  Use the .dynsym ELF section instead of the .symtab ELF section.

-t  Make sure that all object files have a CTF section.

-v  Enable verbose mode.

-w withfile
    Additive merge with withfile.

EXIT STATUS

SEE ALSO
ctfconvert(1), ctfdump(1)

HISTORY
The ctfmerge utility first appeared in FreeBSD 7.0.

AUTHORS
The CTF utilities came from OpenSolaris.